﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 27/02/2019 14:21:17
-- Server version: 5.5.5-10.1.36-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS provincias;

CREATE DATABASE IF NOT EXISTS provincias
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE provincias;

--
-- Create table `provincias`
--
CREATE TABLE IF NOT EXISTS provincias (
  autonomia varchar(255) DEFAULT NULL,
  provincia varchar(255) NOT NULL,
  poblacion int(11) DEFAULT NULL,
  superficie int(11) DEFAULT NULL,
  PRIMARY KEY (provincia)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 327,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table provincias
--
INSERT INTO provincias VALUES
('País Vasco', 'Álava', 324126, 3037),
('Castilla-La Mancha', 'Albacete', 392118, 14926),
('Comunidad Valenciana', 'Alicante', 1836459, 5817),
('Andalucía', 'Almería', 704297, 8775),
('Principado de Asturias', 'Asturias', 1042608, 10603),
('Castilla y León', 'Ávila', 162514, 8050),
('Extremadura', 'Badajoz', 684113, 21766),
('Islas Baleares', 'Baleares', 1107220, 4991),
('Cataluña', 'Barcelona', 5542680, 7733),
('Castilla y León', 'Burgos', 360995, 14022),
('Extremadura', 'Cáceres', 403665, 19868),
('Andalucía', 'Cádiz', 1239889, 7440),
('Cantabria', 'Cantabria', 582206, 5321),
('Comunidad Valenciana', 'Castellón', 579245, 6636),
('Castilla-La Mancha', 'Ciudad Real', 506888, 19813),
('Andalucía', 'Córdoba', 791610, 13771),
('Castilla-La Mancha', 'Cuenca', 201071, 17140),
('Cataluña', 'Gerona', 753576, 5909),
('Andalucía', 'Granada', 915392, 12646),
('Castilla-La Mancha', 'Guadalajara', 252882, 12214),
('País Vasco', 'Guipúzcoa', 717832, 1997),
('Andalucía', 'Huelva', 519596, 10127),
('Aragón', 'Huesca', 221079, 15636),
('Andalucía', 'Jaén', 648250, 13496),
('Galicia', 'La Coruña', 1122799, 7950),
('La Rioja', 'La Rioja', 315794, 5045),
('Canarias', 'Las Palmas', 1097800, 4065),
('Castilla y León', 'León', 473604, 15580),
('Cataluña', 'Lérida', 434041, 12172),
('Galicia', 'Lugo', 336527, 9856),
('Comunidad de Madrid', 'Madrid', 6466996, 8027),
('Andalucía', 'Málaga', 1629298, 7306),
('Región de Murcia', 'Murcia', 1464847, 11313),
('Comunidad Foral de Navarra', 'Navarra', 640647, 10391),
('Galicia', 'Orense', 314853, 7273),
('Castilla y León', 'Palencia', 164644, 8052),
('Galicia', 'Pontevedra', 944346, 4494),
('Castilla y León', 'Salamanca', 335985, 12349),
('Canarias', 'Santa Cruz de Tenerife', 1004124, 3381),
('Castilla y León', 'Segovia', 155652, 6920),
('Andalucía', 'Sevilla', 1939775, 14036),
('Castilla y León', 'Soria', 90040, 10306),
('Cataluña', 'Tarragona', 792299, 6302),
('Aragón', 'Teruel', 136977, 14809),
('Castilla-La Mancha', 'Toledo', 688672, 15369),
('Comunidad Valenciana', 'Valencia', 2544264, 10807),
('Castilla y León', 'Valladolid', 523679, 8110),
('País Vasco', 'Vizcaya', 1147576, 2217),
('Castilla y León', 'Zamora', 180406, 10561),
('Aragón', 'Zaragoza', 950507, 17274);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;